Module org.firebirdsql.jaybird
Package org.firebirdsql.jdbc

# Class SQLStateConstants

java.lang.Object
org.firebirdsql.jdbc.SQLStateConstants

@Volatile(reason="Constants may be removed in new major releases if no longer needed by the implementation") public final class SQLStateConstants extends Object
Constants with common SQLState values.

Since:
  3.0
Author:
  Mark Rotteveel

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`SQL_STATE_ATT_CANNOT_SET_NOW`
ISO-9075-3: attribute cannot be set now => HY011.
`static final String`
`SQL_STATE_CANNOT_CONNECT`
ISO-9075-2: SQL-client unable to establish SQL-connection => 08001.
`static final String`
`SQL_STATE_CONNECTION_CLOSED`
Deprecated, for removal: This API element is subject to removal in a future version.
Use `SQL_STATE_CONNECTION_FAILURE`; will be removed in Jaybird 7
`static final String`
`SQL_STATE_CONNECTION_ERROR`
ISO-9075-2: connection exception => 08000.
`static final String`
`SQL_STATE_CONNECTION_FAILURE`
ISO-9075-2: connection failure => 08006.
`static final String`
`SQL_STATE_CONNECTION_IN_USE`
ISO-9075-2: connection name in use => 08002.
`static final String`
`SQL_STATE_FEATURE_NOT_SUPPORTED`
ISO-9075-2: feature not supported => 0A000.
`static final String`
`SQL_STATE_GENERAL_ERROR`
ISO-9075-3: CLI-specific condition => HY000.
`static final String`
`SQL_STATE_INVALID_ATTR_VALUE`
ISO-9075-3: invalid attribute value => HY024.
`static final String`
`SQL_STATE_INVALID_CONVERSION`
ISO-9075-2: restricted data type attribute violation => 07006.
`static final String`
`SQL_STATE_INVALID_CURSOR_STATE`
ISO-9075-2: invalid cursor state => 24000.
`static final String`
`SQL_STATE_INVALID_DESC_FIELD_ID`
ISO-9075-3: invalid descriptor field identifier => H091.
`static final String`
`SQL_STATE_INVALID_ESCAPE_SEQ`
`static final String`
`SQL_STATE_INVALID_OPTION_IDENTIFIER`
ISO-9075-3: invalid attribute identifier => HY092.
`static final String`
`SQL_STATE_INVALID_PARAM_TYPE`
ISO-9075-3: invalid parameter mode => HY105.
`static final String`
`SQL_STATE_INVALID_STATEMENT_ID`
ISO-9075-2: invalid SQL statement name => 26000.
`static final String`
`SQL_STATE_INVALID_STMT_TYPE`
ISO-9075-2: cursor specification cannot be executed => 07003.
`static final String`
`SQL_STATE_INVALID_STRING_LENGTH`
ISO-9075-3: invalid string length or buffer length => HY090.
`static final String`
`SQL_STATE_INVALID_TX_STATE`
ISO-9075-2: invalid transaction state => 25000.
`static final String`
`SQL_STATE_INVALID_USE_NULL`
ISO-9075-3: invalid use of null pointer => HY009.
`static final String`
`SQL_STATE_LOCATOR_EXCEPTION`
ISO-9075-2: locator exception
`static final String`
`SQL_STATE_NO_RESULT_SET`
ISO-9075-2: prepared statement not a cursor specification => 07005.
`static final String`
`SQL_STATE_NO_ROW_AVAIL`
`static final String`
`SQL_STATE_SYNTAX_ERROR`
ISO-9075-2: syntax error or access rule violation => 42000.
`static final String`
`SQL_STATE_TX_ACTIVE`
ISO-9075-2: active SQL-transaction => 25001
`static final String`
`SQL_STATE_TX_RESOLUTION_UNKNOWN`
ISO-9075-2: transaction resolution unknown => 08007.
`static final String`
`SQL_STATE_WARNING`
ISO-9075-2: warning => 01000.
`static final String`
`SQL_STATE_WRONG_PARAM_NUM`
`static final String`
`SQLSTATE_CLASS_CONNECTION_ERROR`
ISO-9075-2: SQLSTATE class connection exception => 08

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SQL_STATE_WARNING

public static final String SQL_STATE_WARNING
ISO-9075-2: warning => 01000.

See Also:
  - Constant Field Values

### SQL_STATE_NO_ROW_AVAIL

public static final String SQL_STATE_NO_ROW_AVAIL

See Also:
  - Constant Field Values

### SQL_STATE_FEATURE_NOT_SUPPORTED

public static final String SQL_STATE_FEATURE_NOT_SUPPORTED
ISO-9075-2: feature not supported => 0A000.

See Also:
  - Constant Field Values

### SQL_STATE_GENERAL_ERROR

public static final String SQL_STATE_GENERAL_ERROR
ISO-9075-3: CLI-specific condition => HY000.

Also

- dynamic parameter value needed
- invalid handle

See Also:
  - Constant Field Values

### SQL_STATE_INVALID_USE_NULL

public static final String SQL_STATE_INVALID_USE_NULL
ISO-9075-3: invalid use of null pointer => HY009.

See Also:
  - Constant Field Values

### SQL_STATE_ATT_CANNOT_SET_NOW

public static final String SQL_STATE_ATT_CANNOT_SET_NOW
ISO-9075-3: attribute cannot be set now => HY011.

See Also:
  - Constant Field Values

### SQL_STATE_INVALID_ATTR_VALUE

public static final String SQL_STATE_INVALID_ATTR_VALUE
ISO-9075-3: invalid attribute value => HY024.

See Also:
  - Constant Field Values

### SQL_STATE_INVALID_STRING_LENGTH

public static final String SQL_STATE_INVALID_STRING_LENGTH
ISO-9075-3: invalid string length or buffer length => HY090.

See Also:
  - Constant Field Values

### SQL_STATE_INVALID_DESC_FIELD_ID

public static final String SQL_STATE_INVALID_DESC_FIELD_ID
ISO-9075-3: invalid descriptor field identifier => H091.

See Also:
  - Constant Field Values

### SQL_STATE_INVALID_OPTION_IDENTIFIER

public static final String SQL_STATE_INVALID_OPTION_IDENTIFIER
ISO-9075-3: invalid attribute identifier => HY092.

See Also:
  - Constant Field Values

### SQL_STATE_INVALID_PARAM_TYPE

public static final String SQL_STATE_INVALID_PARAM_TYPE
ISO-9075-3: invalid parameter mode => HY105.

See Also:
  - Constant Field Values

### SQL_STATE_WRONG_PARAM_NUM

public static final String SQL_STATE_WRONG_PARAM_NUM

See Also:
  - Constant Field Values

### SQL_STATE_INVALID_STMT_TYPE

public static final String SQL_STATE_INVALID_STMT_TYPE
ISO-9075-2: cursor specification cannot be executed => 07003.

See Also:
  - Constant Field Values

### SQL_STATE_NO_RESULT_SET

public static final String SQL_STATE_NO_RESULT_SET
ISO-9075-2: prepared statement not a cursor specification => 07005.

See Also:
  - Constant Field Values

### SQL_STATE_INVALID_CONVERSION

public static final String SQL_STATE_INVALID_CONVERSION
ISO-9075-2: restricted data type attribute violation => 07006.

See Also:
  - Constant Field Values

### SQL_STATE_INVALID_CURSOR_STATE

public static final String SQL_STATE_INVALID_CURSOR_STATE
ISO-9075-2: invalid cursor state => 24000.

See Also:
  - Constant Field Values

### SQL_STATE_INVALID_TX_STATE

public static final String SQL_STATE_INVALID_TX_STATE
ISO-9075-2: invalid transaction state => 25000.

See Also:
  - Constant Field Values

### SQL_STATE_TX_ACTIVE

public static final String SQL_STATE_TX_ACTIVE
ISO-9075-2: active SQL-transaction => 25001

See Also:
  - Constant Field Values

### SQL_STATE_INVALID_STATEMENT_ID

public static final String SQL_STATE_INVALID_STATEMENT_ID
ISO-9075-2: invalid SQL statement name => 26000.

See Also:
  - Constant Field Values

### SQLSTATE_CLASS_CONNECTION_ERROR

public static final String SQLSTATE_CLASS_CONNECTION_ERROR
ISO-9075-2: SQLSTATE class connection exception => 08

See Also:
  - Constant Field Values

### SQL_STATE_CONNECTION_ERROR

public static final String SQL_STATE_CONNECTION_ERROR
ISO-9075-2: connection exception => 08000.

See Also:
  - Constant Field Values

### SQL_STATE_CANNOT_CONNECT

public static final String SQL_STATE_CANNOT_CONNECT
ISO-9075-2: SQL-client unable to establish SQL-connection => 08001.

See Also:
  - Constant Field Values

### SQL_STATE_CONNECTION_IN_USE

public static final String SQL_STATE_CONNECTION_IN_USE
ISO-9075-2: connection name in use => 08002.

See Also:
  - Constant Field Values

### SQL_STATE_CONNECTION_CLOSED

@Deprecated(since="6", forRemoval=true) public static final String SQL_STATE_CONNECTION_CLOSED
Deprecated, for removal: This API element is subject to removal in a future version.
Use `SQL_STATE_CONNECTION_FAILURE`; will be removed in Jaybird 7
ISO-9075-2: connection does not exist => 08003.

The historic use by Jaybird of SQLSTATE `08003` to represent connection closed is wrong; `SQL_STATE_CONNECTION_FAILURE` should be used. This was corrected in Jaybird 6.

See Also:
  - Constant Field Values

### SQL_STATE_CONNECTION_FAILURE

public static final String SQL_STATE_CONNECTION_FAILURE
ISO-9075-2: connection failure => 08006.

See Also:
  - Constant Field Values

### SQL_STATE_TX_RESOLUTION_UNKNOWN

public static final String SQL_STATE_TX_RESOLUTION_UNKNOWN
ISO-9075-2: transaction resolution unknown => 08007.

See Also:
  - Constant Field Values

### SQL_STATE_SYNTAX_ERROR

public static final String SQL_STATE_SYNTAX_ERROR
ISO-9075-2: syntax error or access rule violation => 42000.

See Also:
  - Constant Field Values

### SQL_STATE_INVALID_ESCAPE_SEQ

public static final String SQL_STATE_INVALID_ESCAPE_SEQ

See Also:
  - Constant Field Values

### SQL_STATE_LOCATOR_EXCEPTION

public static final String SQL_STATE_LOCATOR_EXCEPTION
ISO-9075-2: locator exception

See Also:
  - Constant Field Values